Subject: Re: publishing OF platform devices

From: Sylvain Munaut <[email-masked]>
Date: Thu, 29 Mar 2007 23:26:39 +0200

John Rigby wrote:
> I have a question about the "right" way to publish platform
> devices via of_platform_bus_probe.
>
> On 5200 platforms it gets called from
> mpc52xx_declare_of_platform_devices which is registered as the
> machdep_calls init routine.
>   
It's called by machdep calls so that it's only called if the platform is
detected ...
> On other platforms it is called via a device_initcall
>   
That will always be called which is bad.

Because if you have a kernel will multiple platform support built in, it
will
be called everytime, even if it's not running on the good platform.
> Also I noticed that some 83xx platforms don't call
> of_platform_bus_probe at all.  Thats ok because most of those devices
> are register various routines in fsl_soc.c.  The one I have not
> figured out yet is spi, I don't see anyone registering mpc83xx_spi?
>   
On theses I have no idea ...

    Sylvain